DCMTK: DcmStorageSCU::TransferEntry Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | List of all members
DcmStorageSCU::TransferEntry Struct Reference

internal class/struct for a single transfer entry More...

## Public Member Functions
| TransferEntry (const OFFilename &filename, const E_FileReadMode readMode, const OFString &sopClassUID, const OFString &sopInstanceUID, const OFString &transferSyntaxUID)
| constructor.
| TransferEntry (DcmDataset *dataset, const E_HandlingMode handlingMode, const OFString &sopClassUID, const OFString &sopInstanceUID, const OFString &transferSyntaxUID)
| constructor.
| ~TransferEntry ()
| destructor

## Public Attributes
const OFFilename | Filename
| filename of the SOP instance to be transferred (if no 'Dataset' given)
const E_FileReadMode | FileReadMode
| read mode that should be used to read the given SOP instance from file
DcmDataset * | Dataset
| dataset of the SOP instance to be transferred (if no 'Filename' given)
const E_HandlingMode | DatasetHandlingMode
| handling mode specifying what to do with the dataset if no longer needed
const OFString | SOPClassUID
| SOP Class UID of the SOP instance to be transferred.
const OFString | SOPInstanceUID
| SOP Instance UID of the SOP instance to be transferred.
const OFString | TransferSyntaxUID
| Transfer Syntax UID of the SOP instance to be transferred.
E_TransferSyntax | NetworkTransferSyntax
| transfer syntax that was used to send this SOP instance
OFBool | Uncompressed
| flag indicating whether the SOP instance is uncompressed, i.e. uses any of the three uncompressed transfer syntaxes
unsigned long | DatasetSize
| size of the dataset of the SOP instance (in bytes, 0 = not yet determined).
unsigned long | AssociationNumber
| association number that was used to send this SOP instance (0 = not sent)
T_ASC_PresentationContextID | PresentationContextID
| presentation context ID to be used for sending this SOP instance
OFBool | RequestSent
| flag indicating whether the C-STORE request has been sent (OFTrue = sent)
Uint16 | ResponseStatusCode
| DIMSE status of the C-STORE response (0x0000 = success)

## Private Member Functions
void | Init ()
| initialize further member variables

## Detailed Description

internal class/struct for a single transfer entry

## Constructor & Destructor Documentation

## ◆ TransferEntry() [1/2]

DcmStorageSCU::TransferEntry::TransferEntry | ( | const OFFilename & | filename,
|  | const E_FileReadMode | readMode,
|  | const OFString & | sopClassUID,
|  | const OFString & | sopInstanceUID,
|  | const OFString & | transferSyntaxUID )

constructor.

Initializes member variables with reasonable values.

Parameters

  filename | filename of the SOP instance to be transferred
  readMode | mode to read the given SOP instance from file
  sopClassUID | SOP Class UID of the SOP instance to be transferred
  sopInstanceUID | SOP Instance UID of the SOP instance to be transferred
  transferSyntaxUID | Transfer Syntax UID of the SOP instance to be transferred

Referenced by Init().

## ◆ TransferEntry() [2/2]

DcmStorageSCU::TransferEntry::TransferEntry | ( | DcmDataset * | dataset,
|  | const E_HandlingMode | handlingMode,
|  | const OFString & | sopClassUID,
|  | const OFString & | sopInstanceUID,
|  | const OFString & | transferSyntaxUID )

constructor.

Initializes member variables with reasonable values.

Parameters

  dataset | pointer to the dataset of the SOP instance to be transferred
  handlingMode | mode specifying what to do with the dataset if no longer needed
  sopClassUID | SOP Class UID of the SOP instance to be transferred
  sopInstanceUID | SOP Instance UID of the SOP instance to be transferred
  transferSyntaxUID | Transfer Syntax UID of the SOP instance to be transferred

## Member Data Documentation

## ◆ DatasetSize

unsigned long DcmStorageSCU::TransferEntry::DatasetSize

size of the dataset of the SOP instance (in bytes, 0 = not yet determined).

NB: The number of bytes that are actually transferred might deviate because of minor changes to the DICOM dataset when appended to the C-STORE request.

The documentation for this struct was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dstorscu.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2